import { UbwConfigs, createDefaultUbwConfigs as createDefaultUbwConfigs_ } from './page-generator';
import { toNormalizedAbsolutePath } from './utils';
export interface CommandResult {
    exitCode: number;
    message: string;
}
export interface UbwSettings {
    configs: UbwConfigs;
    blogRoot: string;
}
export declare function requireSettings(configFilePath: string): UbwSettings;
export declare const createDefaultUbwConfigs: typeof createDefaultUbwConfigs_;
export declare const cliUtils: {
    CONFIG_FILE_NAME: string;
    toNormalizedAbsolutePath: typeof toNormalizedAbsolutePath;
};
export declare function executeArticleNew(configFilePath: string): Promise<CommandResult>;
export declare function executeCompile(configFilePath: string): Promise<CommandResult>;
export declare function executeCompileWithSettings(settings: UbwSettings): Promise<CommandResult>;
export declare function executeHelp(): Promise<CommandResult>;
export declare function executeInit(blogRoot: string): Promise<CommandResult>;
export declare function executeNow(): Promise<CommandResult>;
export declare function executeVersion(): Promise<CommandResult>;
