"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var TopLayout = /** @class */ (function (_super) {
    __extends(TopLayout, _super);
    function TopLayout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TopLayout.prototype.render = function () {
        var atomFeedPage = this.props.nonArticles.find(function (nonArticle) { return nonArticle.id === 'atom-feed'; });
        return (React.createElement("div", { className: "ubw-page ubw-non-article ubw-top" },
            React.createElement("div", { className: "markdown-body ubw-main-content" },
                React.createElement("h1", null, this.props.blogName),
                React.createElement("ul", { className: "ubw-articles" }, this.props.articles
                    .slice()
                    .sort(function (a, b) {
                    return b.lastUpdatedAt.getTime() - a.lastUpdatedAt.getTime();
                })
                    .map(function (article) {
                    return (React.createElement("li", { key: article.articleId, className: "ubw-articles-item" },
                        React.createElement("a", { className: "ubw-articles-item-link", href: article.rootRelativePath }, article.pageTitle),
                        React.createElement("span", { className: "ubw-articles-item-last-updated-at" }, article.formattedLastUpdatedAt)));
                }))),
            React.createElement("hr", { className: "ubw-end-of-main-content" }),
            React.createElement("ul", { className: "ubw-meta-data" },
                React.createElement("li", null,
                    React.createElement("a", { href: atomFeedPage.rootRelativePath }, "Atom Feed")),
                this.props.additionalTopPageLinks.map(function (data, index) {
                    return React.createElement("li", { key: 'ubw-meta-data-additional-link-' + index },
                        React.createElement("a", { href: data.href }, data.linkText));
                }))));
    };
    return TopLayout;
}(React.Component));
exports.default = TopLayout;
