"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*
 * MUST NOT import this file except under the "test" directory.
 */
var fs = require("fs-extra");
var klawSync = require("klaw-sync");
var path = require("path");
var utils_1 = require("./utils");
var TEST_TMP_ROOT = path.join(utils_1.PROJECT_ROOT, 'test/tmp');
function prepareWorkspace(subDir) {
    if (subDir === void 0) { subDir = 'default'; }
    var workspaceRoot = path.join(TEST_TMP_ROOT, subDir);
    fs.ensureDirSync(workspaceRoot);
    fs.emptyDirSync(workspaceRoot);
    return workspaceRoot;
}
exports.prepareWorkspace = prepareWorkspace;
function dumpDir(root) {
    var dumped = {};
    klawSync(root, { nodir: true }).forEach(function (result) {
        var rootIncludedSlash = root + '/';
        var relativePathStart = result.path.indexOf(rootIncludedSlash);
        if (relativePathStart !== 0) {
            throw new Error('The root dir must be included in the path.');
        }
        var relativePath = result.path.slice(rootIncludedSlash.length);
        dumped[relativePath] = fs.readFileSync(result.path).toString();
    });
    return dumped;
}
exports.dumpDir = dumpDir;
