export declare const RELATIVE_ARTICLES_DIR_PATH: string;
export declare const RELATIVE_EXTERNAL_RESOURCES_DIR_PATH: string;
export declare const PROJECT_ROOT: string;
export declare const PRESETS_EXTERNAL_RESOURCES_ROOT: string;
export declare const CONFIG_FILE_NAME = "ubw-configs.js";
export declare function toNormalizedAbsolutePath(pathInput: string, baseAbsolutePath: string): string;
export declare function classifyUrl(urlLike: string): 'absolute' | 'root-relative' | 'relative' | 'unknown';
/**
 * It is mainly used to normalize the following last case.
 *
 *   url="https://foo.com/bar"  -> pathname="/bar"
 *   url="https://foo.com/bar/" -> pathname="/bar/"
 *   url="https://foo.com/"     -> pathname="/"
 *   url="https://foo.com"      -> pathname="/" (What's!?)
 */
export declare function getPathnameWithoutTailingSlash(absoluteUrl: string): string;
/**
 * @param path A relative url (e.g. "foo/bar", "./foo/bar") or
 *               slash-started relative url (e.g. "/foo/bar")
 */
export declare function removeTailingResourceNameFromPath(path: string): string;
export declare function permalinksToRelativeUrl(fromPermalink: string, toPermalink: string): string;
export declare function generateBlogPaths(blogRoot: string, relativePublicationDirPath: string): {
    sourceRoot: string;
    publicationRoot: string;
    sourceArticlesRoot: string;
    sourceExternalResourcesRoot: string;
    sourceExternalResourcesDirectPlacementRoot: string;
    publicationArticlesRoot: string;
    publicationExternalResourcesRoot: string;
    publicationExternalResourcesDirectPlacementRoot: string;
};
export declare function generateDateTimeString(date: Date, timeZone: string, options?: {
    timeZoneSuffix?: boolean;
}): string;
export declare function generateTodayDateString(date: Date, timeZone: string): string;
export declare function extractPageTitle(node: RemarkAstNode): string;
